Redmine - Defect #5333

Help Mysql::ProtocolError: invalid packet: sequence number mismatch(3 != 1(expected)): SET
NAMES 'utf8’

2010-04-16 04:55 - rui gao

Status: Closed Start date: 2010-04-16
Priority: Urgent Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
Hi,
When | try to command "RAILS_ENV=production rake db:migrate",get the following error:

RAILS_ENV=production rake db:migrate

(in /var/www/redmine-0.9.3)

rake aborted!

Mysql::ProtocolError: invalid packet: sequence number mismatch(3 != 1(expected)): SET NAMES 'utf8'

I dont know how to deal with it, help me?
Thanks.

History

#1 - 2010-04-16 05:11 - rui gao
rui gao wrote:

Hi,
When | try to command "RAILS_ENV=production rake db:migrate",get the following error:

RAILS_ENV=production rake db:migrate

(in /var/www/redmine-0.9.3)
rake aborted!
Mysql::ProtocolError: invalid packet: sequence number mismatch(3 != 1(expected)): SET NAMES 'utf8'

| dont know how to deal with it, help me?
Thanks.

#2 - 2010-04-16 05:12 - rui gao
rui gao wrote:
Hi,
When | try to command "RAILS_ENV=production rake db:migrate",get the following error:
RAILS_ENV=production rake db:migrate
(in /var/www/redmine-0.9.3)
rake aborted!
Mysql::ProtocolError: invalid packet: sequence number mismatch(3 != 1(expected)): SET NAMES 'utf8'

| dont know how to deal with it, help me?
Thanks.

#3 - 2010-04-16 05:13 - rui gao

rui gao wrote:

Hi,
When | try to command "RAILS_ENV=production rake db:migrate",get the following error:
RAILS_ENV=production rake db:migrate

(in /var/www/redmine-0.9.3)

rake aborted!

Mysql::ProtocolError: invalid packet: sequence number mismatch(3 != 1(expected)): SET NAMES 'utf8'

| dont know how to deal with it, help me?

Thanks.

#4 - 2010-04-17 14:12 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Please, no support request here.

#5 - 2010-04-18 14:07 - rui gao
rui gao wrote:
Hi,
When [ try to command "RAILS_ENV=production rake db:migrate",get the following error:
RAILS_ENV=production rake db:migrate
(in /var/www/redmine-0.9.3)

rake aborted!
Mysql::ProtocolError: invalid packet: sequence number mismatch(3 != 1(expected)): SET NAMES 'utf8'

| dont know how to deal with it, help me?
Thanks.

#6 - 2010-04-18 14:07 - rui gao

- Status changed from Closed to Reopened

rui gao wrote:

Hi,

When | try to command "RAILS_ENV=production rake db:migrate",get the following error:
RAILS_ENV=production rake db:migrate

(in /var/www/redmine-0.9.3)

rake aborted!
Mysql::ProtocolError: invalid packet: sequence number mismatch(3 != 1(expected)): SET NAMES 'utf8'

| dont know how to deal with it, help me?
Thanks.

#7 - 2010-04-18 14:08 - rui gao

rui gao wrote:

Hi,

When | try to command "RAILS_ENV=production rake db:migrate",get the following error:
RAILS_ENV=production rake db:migrate

(in /var/www/redmine-0.9.3)

rake aborted!
Mysql::ProtocolError: invalid packet: sequence number mismatch(3 |= 1(expected)): SET NAMES 'utf8'

| dont know how to deal with it, help me?
Thanks.

#8 - 2010-04-18 14:11 - Jean-Philippe Lang
- Status changed from Reopened to Closed

Please don't reopen.

#9 - 2010-06-20 11:49 - Daniel Stoinski

Most probably a wrong mysq|l driver is the cause. Please see also issue #5693

Daniel Stoinski

#10 - 2011-10-25 12:59 - Andrew Castellanos
SPAM
https://www.redmine.org/issues/5693
